package com.bytedance.android.livesdk.livesetting.broadcast;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_custom_poll_url")
public final class CustomPollLynxUrl {
    @Group(isDefault = true, value = "default group")
    public static final String DEFAULT = "https://lf16-gecko-source.tiktokcdn.com/obj/byte-gurd-source-sg/tiktok/fe/live/tiktok_live_fundamental_main/main/pages/custom-poll/main/template.js";
    public static final CustomPollLynxUrl INSTANCE = new CustomPollLynxUrl();

    static {
        Covode.recordClassIndex(17633);
    }

    public final String getValue() {
        String stringValue = SettingsManager.INSTANCE.getStringValue(CustomPollLynxUrl.class);
        if (stringValue.length() == 0) {
            stringValue = DEFAULT;
        }
        return stringValue;
    }
}
